<?
require("../conectar.php");
$titulo=$_POST['titulo'];
$descripcion=$_POST['descripcion'];
$todos=$_POST['todos'];
$fingreso=$_POST['fecha'];
$fecha_ingreso=$_POST['fecha'];
 // SI LA BUSQUEDA SE HACE POR FECHA

								  $mes=substr($fingreso,0,2);
								  $dia=substr($fingreso,3,2);
								  $año=substr($fingreso,6,4);
								  $fechaingreso=$año."-".$mes."-".$dia;
								  
								 if($fecha_ingreso!="" ){
								 $busqueda=mysql_query("select * from promociones where fecha_ingreso='$fechaingreso'",$db_conexion);
								 }
								 // SI LA BUSQUEDA SE HACE POR TÍTULO
								 if( $titulo!="" ){
								 $busqueda=mysql_query("select * from promociones where titulo like '%$titulo%'",$db_conexion);
								 }
								 // SI LA BUSQUEDA SE HACE POR DESCRIPCIÓN
								 if($descripcion!=""){
								 $busqueda=mysql_query("select * from promociones where descripcion like '%$descripcion%'",$db_conexion);
								 }
								 // SI LA BUSQUEDA SE HACE EN GENERAL
								 if($todos=="todos"){
								 $busqueda=mysql_query("select * from promociones",$db_conexion);
								 }
								 if($fecha_ingreso!=""||$titulo!=""||$descripcion!=""||$todos=="todos"){
								 $row=mysql_num_rows($busqueda);
								 if($row<1)
								 {
								 echo"<center><h2>No hay resultados</h2></center>";
								 }
								 else{
?>
				      <table width="850" class="datos" >
							    
								
									<tr class="trsb">
									  <td width="38" >NUMERO</td>
										<td width="80">FECHA DE INGRESO </td>
										<td >TÍTULO</td>
										<td width="336">DESCRIPCIÓN</td>
										<td width="60">ESTATUS</td>
										<td width="60">MODIFICAR</td>
										<td width="55">BORRAR</td>
									</tr>
								
								
													  
								 <?php
 								
     							
								 while($res=mysql_fetch_array($busqueda))
								 {
								  $q++;
								 if($x==1){$x=0;} else {$x=1;}?>
								    <tr class="tr<?echo$x?>">
										<td><? echo $q; ?></td>
										<td><? echo $res['fecha_ingreso']; ?></td>
										<td><? echo htmlentities($res['titulo']); ?></td>
										<td><? echo htmlentities($res['descripcion']); ?></td>
										<td><? echo htmlentities($res['status']); ?></td>										
										<td><a href="promocion_modificar.php?id=<? echo $res['id_promocion']; ?>" target="_blank" onClick="window.open(this.href, this.target, 'width=800,height=550'); return false;"><img src="images/mod.png" border="0" width="16" height="16"></a></td>
										
										<td><a href="promocion_eliminar.php?id=<? echo $res['id_promocion']; ?>" onClick="window.open(this.href, this.target, 'width=800,height=550'); return false;"><img src="images/borrar.png" border="0" width="16" height="16"></a></td>
									</tr>
									
								  <?								  
								   } }}// cierre del while
								 ?>
					    
					  </table>
					<?php  // cierre del if ?>